/*!\file fac.cpp
 * \brief: implementation of the fac class
 */

/*Headers{{{*/
#ifdef HAVE_CONFIG_H
	#include <config.h>
#else
#error "Cannot compile with HAVE_CONFIG_H symbol! run configure first!"
#endif

#include "./fac.h"

/*}}}*/

long fac::factorial(long n) {
	long f = 1;
	long i;
	
	for(i = 1; i <= n; i++){
		f *= i;
	}
	
	return f;
}

